<template>
  <div class="user-container">

    <NuxtLink class="user" to="/about" v-if="this.$auth.loggedIn">
      <span class="avatar" :style="`background-image: url('${$auth.user.picture}')`"></span>
      <strong>{{ $auth.user.name }}</strong>
    </NuxtLink>

    <form v-if="!this.$auth.loggedIn" @submit.prevent="signinAuth0" id="signin">
      <button>
        <Icon name="user-circle" size="s"/>
      </button>
    </form>

  </div>
</template>

<script>
export default {
  name: 'UserAvatar',
  methods: {
    signinAuth0() {
      this.$auth.loginWith('auth0')
    }
  }
}
</script>

<style lang="scss">
.user-container {
  --size-avatar: 40px;

  position: relative;

  .user {
    @include _display-flex(flex, center, flex-start, row);
    @include _list-child-margin(5px, '*');
    @include _font-paragraph();
  }

  .avatar {
    display: block;
    width: var(--size-avatar);
    height: var(--size-avatar);
    @include _transition(all);

    background-size: cover;
    border-radius: 50%;
    background-repeat: no-repeat;
    border: 0 solid $color-white;
    // https://bennettfeely.com/clippy/
    //clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);

    @include _link-active() {
      border-width: 2px;
      box-shadow: 0 0 0 5px color-gray(2);
    }
  }

  button {
    @include _reset-button();
    @include _transition(all);
    display: block;
    width: var(--size-avatar);
    height: var(--size-avatar);

    cursor: pointer;
    background: color-gray(1);
    border-radius: 50%;
    // https://bennettfeely.com/clippy/
    //clip-path: polygon(30% 0%, 70% 0%, 100% 30%, 100% 70%, 70% 100%, 30% 100%, 0% 70%, 0% 30%);

    @include _link-active() {
      transform: scale(1.2);
    }

    .icon {
      position: relative;
      top: -1px;
    }
  }
}
</style>
